Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79918 - Internal compiler error: Error reporting routines re-entered.
Summary: Internal compiler error: Error reporting routines re-entered.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-18 01:44 UTC by Aleksey Nogin
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 11:02:24 UTC


Attachments (Terms of Use)
Tgz with files to reporoduce. (deleted)
2002-12-18 01:46 UTC, Aleksey Nogin
no flags Details

Description Aleksey Nogin 2002-12-18 01:44:33 UTC
Reproducible: yes

To reproduce:
0) download Mozilla sources
1) Skip running configure or anything like that
2) cd mozilla/mailnews/mime/src
3) g++ -c -o /dev/null mimetpfl.cpp

(I'll attach a tgz with just the files needed to reproduce it).

Actual:

long list of errors ending with:

modmimee.h:84: `output_fn' was not declared in this scope
modmimee.h:85: type specifier omitted for parameter `PRInt32'
modmimee.h:85: parse error before `,' token
modmimee.h:86: type specifier omitted for parameter `
Internal compiler error: Error reporting routines re-entered.
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

% rpm -qf `which g++`
gcc-c++-3.2-7

P.S. There are a few dups of this in Bugzilla, but all of them refer to earlier
versions of gcc and most of then are marked closed, so filing a new one.

P.P.S. Seems like a pretty minor issue not even worth reporting, but the error
message asked to report it.

Comment 1 Aleksey Nogin 2002-12-18 01:46:21 UTC
Created attachment 88789 [details]
Tgz with files to reporoduce.

Comment 2 Jakub Jelinek 2003-02-19 14:59:14 UTC
Please attach mimetpfl.ii instead (ie. add -save-temps option to g++ when
compiling it). There are tons of missing headers in the tarball, so it is
not reproduceable.

Comment 3 Aleksey Nogin 2003-02-20 01:57:14 UTC
> There are tons of missing headers in the tarball

That is the point. It works correctly when the headers are all there, but asks
"Please submit a full bug report" when the headers are missing.

Comment 4 Richard Henderson 2004-10-03 11:02:24 UTC
ICE does not happen with gcc 3.2.3-20.


Note You need to log in before you can comment on or make changes to this bug.